// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_crapchute_v1/ccv1_sky1
{
	qer_editorimage env/ut4_crapchute_v1/stars_up.tga
	
	skyparms env/ut4_crapchute_v1/stars 128 -
	
	q3map_sunEXT 1 1 1 300 0 90 1 16
//	q3map_lightRGB 0.8 0.8 0.8
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 200 3
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}


// ---=== Ladderclip ===---

textures/ut4_crapchute_v1/ccv1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Glass ===---

textures/ut4_crapchute_v1/ccv1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_crapchute_v1/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_crapchute_v1/ccv1_glass_snd
{
	qer_editorimage textures/kittywumpus/kw_glass_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_crapchute_v1/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== My Logo ===---

textures/ut4_crapchute_v1/ccv1_qbllogo
{
	qer_editorimage textures/ut4_crapchute_v1/qbl_logo1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
//	q3map_surfacelight 100

	{
		map textures/ut4_crapchute_v1/qbl_logo1.tga
		blendFunc blend
	}
}

// ---=== Holopanels ===---

textures/ut4_crapchute_v1/ccv1_hologo_b
{
	qer_editorimage textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_crapchute_v1/ccv1_hologo_r
{
	qer_editorimage textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_crapchute_v1/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

 // ---=== No Damage ===---

   textures/ut4_crapchute_v1/e8_base1c:q3map
{
	surfaceparm nodamage
}

  textures/ut4_crapchute_v1/e8base_blue:q3map
{
	surfaceparm nodamage
}

  textures/ut4_crapchute_v1/e8base_red:q3map
{
	surfaceparm nodamage
}
 
  textures/ut4_crapchute_v1/pr_glassblock04b:q3map
{
	surfaceparm nodamage
}

 textures/ut4_crapchute_v1/pr_glassblock04r:q3map
{
	surfaceparm nodamage
}

 textures/ut4_crapchute_v1/pr_metal026b:q3map
{
	surfaceparm nodamage
}

 textures/ut4_crapchute_v1/pr_metal026r:q3map
{
	surfaceparm nodamage
}

 textures/ut4_crapchute_v1/pr_metal091:q3map
{
	surfaceparm nodamage
}

 textures/ut4_crapchute_v1/pr_metal083:q3map
{
	surfaceparm nodamage
}

 textures/ut4_crapchute_v1/pr_trim03:q3map
{
	surfaceparm nodamage
}

// ---=== No Damage, Slick ===---

 textures/ut4_crapchute_v1/pr_metal059b:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

 textures/ut4_crapchute_v1/pr_metal059r:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

// ---=== Non Solid ===---

 textures/ut4_crapchute_v1/ut4cc_warn-severecold:q3map
{
	surfaceparm nonsolid
}

// ---=== Light Emitting Textures ===---

textures/ut4_crapchute_v1/e6basicstrip_blue
{
	qer_editorimage textures/ut4_crapchute_v1/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_crapchute_v1/e6basicstrip_blue.tga
	}
}

textures/ut4_crapchute_v1/e6basicstrip_green
{
	qer_editorimage textures/ut4_crapchute_v1/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_crapchute_v1/e6basicstrip_green.tga
	}
}

textures/ut4_crapchute_v1/e6basicstrip_orange
{
	qer_editorimage textures/ut4_crapchute_v1/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_crapchute_v1/e6basicstrip_orange.tga
	}
}

textures/ut4_crapchute_v1/e6basicstrip_purple
{
	qer_editorimage textures/ut4_crapchute_v1/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_crapchute_v1/e6basicstrip_purple.tga
	}
}

textures/ut4_crapchute_v1/e6basicstrip_red
{
	qer_editorimage textures/ut4_crapchute_v1/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_crapchute_v1/e6basicstrip_red.tga
	}
}

textures/ut4_crapchute_v1/e6basicstrip_white
{
	qer_editorimage textures/ut4_crapchute_v1/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_crapchute_v1/e6basicstrip_white.tga
	}
}

textures/ut4_crapchute_v1/e8minitrimlight
{
	qer_editorimage textures/ut4_crapchute_v1/e8minitrimlight.tga
	q3map_lightimage textures/ut4_crapchute_v1/e8minitrimlight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 250
	{
		map textures/ut4_crapchute_v1/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_crapchute_v1/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/ut4_crapchute_v1/ccv1_beamblue
{
	qer_editorimage textures/ut4_crapchute_v1/soc_zplasma_blueflow.tga
	q3map_lightimage textures/ut4_crapchute_v1/soc_jumppadsmall_b.tga	
	q3map_surfacelight 2000
	cull none
	{
		map textures/ut4_crapchute_v1/soc_zplasma_blueflow.tga
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_crapchute_v1/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 1 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_crapchute_v1/ccv1_beamred
{
	qer_editorimage textures/ut4_crapchute_v1/soc_zplasma_redflow.tga
	q3map_lightimage textures/ut4_crapchute_v1/soc_jumppadsmall_r.tga	
	q3map_surfacelight 2000
	cull none
	{
		map textures/ut4_crapchute_v1/soc_zplasma_redflow.tga
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_crapchute_v1/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 1 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ---=== Glow Level Numbers ===---

textures/ut4_crapchute_v1/ccv1_lev1
{
	qer_editorimage textures/ut4_crapchute_v1/ut4cc_1.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300	
     
        {
		map textures/ut4_crapchute_v1/ut4cc_1.tga
	}
}

textures/ut4_crapchute_v1/ccv1_lev3
{
	qer_editorimage textures/ut4_crapchute_v1/ut4cc_3.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300	
     
        {
		map textures/ut4_crapchute_v1/ut4cc_3.tga
	}
}

textures/ut4_crapchute_v1/ccv1_lev4
{
	qer_editorimage textures/ut4_crapchute_v1/ut4cc_4.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 300	
     
        {
		map textures/ut4_crapchute_v1/ut4cc_4.tga
	}
}

// ---=== soc textures ===---
// LIGHT 064 - 03 : Double big lights

textures/ut4_crapchute_v1/ccv1_lig_064b2k
{
	qer_editorimage textures/ut4_crapchute_v1/soc_064lig22ba.tga
	q3map_lightimage textures/ut4_crapchute_v1/soc_064lig22b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/ut4_crapchute_v1/soc_064lig22ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_crapchute_v1/soc_064lig22b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_crapchute_v1/ccv1_lig_064r2k
{
	qer_editorimage textures/ut4_crapchute_v1/soc_064lig22ra.tga
	q3map_lightimage textures/ut4_crapchute_v1/soc_064lig22r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/ut4_crapchute_v1/soc_064lig22ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_crapchute_v1/soc_064lig22r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_crapchute_v1/ccv1_lig_064y2k
{
	qer_editorimage textures/ut4_crapchute_v1/soc_064lig22ya.tga
	q3map_lightimage textures/ut4_crapchute_v1/soc_064lig22y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/ut4_crapchute_v1/soc_064lig22ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_crapchute_v1/soc_064lig22y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}


// ---=== Evil shaders ===---

textures/ut4_crapchute_v1/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_crapchute_v1/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// ---=== Oooze ===---

textures/ut4_crapchute_v1/ccv1_oozprpl
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_crapchute_v1/ooze_prpl.tga
	q3map_surfacelight 300

	{
		map textures/ut4_crapchute_v1/ooze_prpl.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute_v1/ooze_prpl_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute_v1/ooze_prpl.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_crapchute_v1/ooze_prpl.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

//plasma tubes

textures/ut4_crapchute_v1/ccv1_plasma3
{
	qer_editorimage textures/ut4_crapchute_v1/ut4cc_glass2.jpg
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	q3map_surfacelight 4000
	{
		map textures/ut4_crapchute_v1/ut4cc_glass2.jpg
		tcMod Scroll .3 -.5
		blendFunc add
       }
     
}